# -------------------------------------------------------------------------------------------------
#<profile4xi profile = "11" />
#<program4xi program = "test_uskeleton4xi_zap.py">
#<abstract4xi abstract = "Provides Actor SphereKB4Xi for TeleScope4Xi"/>
#<refer4xi reference = "zap2actor4xi.py"/>
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------


# -------------------------------------------------------------------------------------------------
# Public API
# ------------------------------------------------------------------------------------------------- 
#<interface4xi interface = " 
__all__ = [ "None" ]
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
from decimal import *
from math import pi
from math import sin
from math import cos 
from math import fabs

#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
#"
#/>


# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from time4xi import time4xi
#"
#/>
# -------------------------------------------------------------------------------------------------
# Settings - functions, classes and ALL class methods with possible synonyms for XML
# -------------------------------------------------------------------------------------------------
SphereKB4Xi = {
    }
SphereKB4Xi[0] = {}
SphereKB4Xi[1] = {}
SphereKB4Xi[2] = {}
SphereKB4Xi[3] = {}
SphereKB4Xi[4] = {}
SphereKB4Xi[5] = {}
SphereKB4Xi[6] = {}
SphereKB4Xi[7] = {}
SphereKB4Xi[8] = {}
SphereKB4Xi[0][0]  = {}
SphereKB4Xi[1][2]  = {}
SphereKB4Xi[1][10]  = {}
SphereKB4Xi[1][100]  = {}
SphereKB4Xi[1][200]  = {}
SphereKB4Xi[1][300]  = {}
SphereKB4Xi[1][400]  = {}
SphereKB4Xi[1][500]  = {}
SphereKB4Xi[1][600]  = {}
SphereKB4Xi[1][700]  = {}
SphereKB4Xi[1][800]  = {}
SphereKB4Xi[1][900]  = {}
SphereKB4Xi[1][1000]  = {}
SphereKB4Xi[1][1100]  = {}
SphereKB4Xi[1][1200]  = {}
SphereKB4Xi[1][1300]  = {}
SphereKB4Xi[1][1400]  = {}
SphereKB4Xi[1][1500]  = {}
SphereKB4Xi[1][1600]  = {}
SphereKB4Xi[1][1700]  = {}
SphereKB4Xi[1][1800]  = {}
SphereKB4Xi[1][1900]  = {}
SphereKB4Xi[1][2000]  = {}
SphereKB4Xi[1][2100]  = {}
SphereKB4Xi[1][2200]  = {}
SphereKB4Xi[1][2300]  = {}
SphereKB4Xi[1][2400]  = {}
SphereKB4Xi[1][2500]  = {}
SphereKB4Xi[1][2600]  = {}
SphereKB4Xi[1][2700]  = {}
SphereKB4Xi[1][2800]  = {}
SphereKB4Xi[1][2900]  = {}
SphereKB4Xi[1][3000]  = {}
SphereKB4Xi[1][3100]  = {}
SphereKB4Xi[1][3200]  = {}
SphereKB4Xi[1][3300]  = {}
SphereKB4Xi[2][2]  = {}
SphereKB4Xi[2][10]  = {}
SphereKB4Xi[2][100]  = {}
SphereKB4Xi[2][200]  = {}
SphereKB4Xi[2][300]  = {}
SphereKB4Xi[2][400]  = {}
SphereKB4Xi[2][500]  = {}
SphereKB4Xi[2][600]  = {}
SphereKB4Xi[2][700]  = {}
SphereKB4Xi[2][800]  = {}
SphereKB4Xi[2][900]  = {}
SphereKB4Xi[2][1000]  = {}
SphereKB4Xi[2][1100]  = {}
SphereKB4Xi[2][1200]  = {}
SphereKB4Xi[2][1300]  = {}
SphereKB4Xi[2][1400]  = {}
SphereKB4Xi[2][1500]  = {}
SphereKB4Xi[2][1600]  = {}
SphereKB4Xi[2][1700]  = {}
SphereKB4Xi[2][1800]  = {}
SphereKB4Xi[2][1900]  = {}
SphereKB4Xi[2][2000]  = {}
SphereKB4Xi[2][2100]  = {}
SphereKB4Xi[2][2200]  = {}
SphereKB4Xi[2][2300]  = {}
SphereKB4Xi[2][2400]  = {}
SphereKB4Xi[2][2500]  = {}
SphereKB4Xi[2][2600]  = {}
SphereKB4Xi[2][2700]  = {}
SphereKB4Xi[2][2800]  = {}
SphereKB4Xi[2][2900]  = {}
SphereKB4Xi[2][3000]  = {}
SphereKB4Xi[2][3100]  = {}
SphereKB4Xi[2][3200]  = {}
SphereKB4Xi[2][3300]  = {}
SphereKB4Xi[3][2]  = {}
SphereKB4Xi[3][10]  = {}
SphereKB4Xi[3][100]  = {}
SphereKB4Xi[3][200]  = {}
SphereKB4Xi[3][300]  = {}
SphereKB4Xi[3][400]  = {}
SphereKB4Xi[3][500]  = {}
SphereKB4Xi[3][600]  = {}
SphereKB4Xi[3][700]  = {}
SphereKB4Xi[3][800]  = {}
SphereKB4Xi[3][900]  = {}
SphereKB4Xi[3][1000]  = {}
SphereKB4Xi[3][1100]  = {}
SphereKB4Xi[3][1200]  = {}
SphereKB4Xi[3][1300]  = {}
SphereKB4Xi[3][1400]  = {}
SphereKB4Xi[3][1500]  = {}
SphereKB4Xi[3][1600]  = {}
SphereKB4Xi[3][1700]  = {}
SphereKB4Xi[3][1800]  = {}
SphereKB4Xi[3][1900]  = {}
SphereKB4Xi[3][2000]  = {}
SphereKB4Xi[3][2100]  = {}
SphereKB4Xi[3][2200]  = {}
SphereKB4Xi[3][2300]  = {}
SphereKB4Xi[3][2400]  = {}
SphereKB4Xi[3][2500]  = {}
SphereKB4Xi[3][2600]  = {}
SphereKB4Xi[3][2700]  = {}
SphereKB4Xi[3][2800]  = {}
SphereKB4Xi[3][2900]  = {}
SphereKB4Xi[3][3000]  = {}
SphereKB4Xi[3][3100]  = {}
SphereKB4Xi[3][3200]  = {}
SphereKB4Xi[3][3300]  = {}
SphereKB4Xi[4][2]  = {}
SphereKB4Xi[4][10]  = {}
SphereKB4Xi[4][100]  = {}
SphereKB4Xi[4][200]  = {}
SphereKB4Xi[4][300]  = {}
SphereKB4Xi[4][400]  = {}
SphereKB4Xi[4][500]  = {}
SphereKB4Xi[4][600]  = {}
SphereKB4Xi[4][700]  = {}
SphereKB4Xi[4][800]  = {}
SphereKB4Xi[4][900]  = {}
SphereKB4Xi[4][1000]  = {}
SphereKB4Xi[4][1100]  = {}
SphereKB4Xi[4][1200]  = {}
SphereKB4Xi[4][1300]  = {}
SphereKB4Xi[4][1400]  = {}
SphereKB4Xi[4][1500]  = {}
SphereKB4Xi[4][1600]  = {}
SphereKB4Xi[4][1700]  = {}
SphereKB4Xi[4][1800]  = {}
SphereKB4Xi[4][1900]  = {}
SphereKB4Xi[4][2000]  = {}
SphereKB4Xi[4][2100]  = {}
SphereKB4Xi[4][2200]  = {}
SphereKB4Xi[4][2300]  = {}
SphereKB4Xi[4][2400]  = {}
SphereKB4Xi[4][2500]  = {}
SphereKB4Xi[4][2600]  = {}
SphereKB4Xi[4][2700]  = {}
SphereKB4Xi[4][2800]  = {}
SphereKB4Xi[4][2900]  = {}
SphereKB4Xi[4][3000]  = {}
SphereKB4Xi[4][3100]  = {}
SphereKB4Xi[4][3200]  = {}
SphereKB4Xi[4][3300]  = {}
SphereKB4Xi[5][2]  = {}
SphereKB4Xi[5][10]  = {}
SphereKB4Xi[5][100]  = {}
SphereKB4Xi[5][200]  = {}
SphereKB4Xi[5][300]  = {}
SphereKB4Xi[5][400]  = {}
SphereKB4Xi[5][500]  = {}
SphereKB4Xi[5][600]  = {}
SphereKB4Xi[5][700]  = {}
SphereKB4Xi[5][800]  = {}
SphereKB4Xi[5][900]  = {}
SphereKB4Xi[5][1000]  = {}
SphereKB4Xi[5][1100]  = {}
SphereKB4Xi[5][1200]  = {}
SphereKB4Xi[5][1300]  = {}
SphereKB4Xi[5][1400]  = {}
SphereKB4Xi[5][1500]  = {}
SphereKB4Xi[5][1600]  = {}
SphereKB4Xi[5][1700]  = {}
SphereKB4Xi[5][1800]  = {}
SphereKB4Xi[5][1900]  = {}
SphereKB4Xi[5][2000]  = {}
SphereKB4Xi[5][2100]  = {}
SphereKB4Xi[5][2200]  = {}
SphereKB4Xi[5][2300]  = {}
SphereKB4Xi[5][2400]  = {}
SphereKB4Xi[5][2500]  = {}
SphereKB4Xi[5][2600]  = {}
SphereKB4Xi[5][2700]  = {}
SphereKB4Xi[5][2800]  = {}
SphereKB4Xi[5][2900]  = {}
SphereKB4Xi[5][3000]  = {}
SphereKB4Xi[5][3100]  = {}
SphereKB4Xi[5][3200]  = {}
SphereKB4Xi[5][3300]  = {}
SphereKB4Xi[6][2]  = {}
SphereKB4Xi[6][10]  = {}
SphereKB4Xi[6][100]  = {}
SphereKB4Xi[6][200]  = {}
SphereKB4Xi[6][300]  = {}
SphereKB4Xi[6][400]  = {}
SphereKB4Xi[6][500]  = {}
SphereKB4Xi[6][600]  = {}
SphereKB4Xi[6][700]  = {}
SphereKB4Xi[6][800]  = {}
SphereKB4Xi[6][900]  = {}
SphereKB4Xi[6][1000]  = {}
SphereKB4Xi[6][1100]  = {}
SphereKB4Xi[6][1200]  = {}
SphereKB4Xi[6][1300]  = {}
SphereKB4Xi[6][1400]  = {}
SphereKB4Xi[6][1500]  = {}
SphereKB4Xi[6][1600]  = {}
SphereKB4Xi[6][1700]  = {}
SphereKB4Xi[6][1800]  = {}
SphereKB4Xi[6][1900]  = {}
SphereKB4Xi[6][2000]  = {}
SphereKB4Xi[6][2100]  = {}
SphereKB4Xi[6][2200]  = {}
SphereKB4Xi[6][2300]  = {}
SphereKB4Xi[6][2400]  = {}
SphereKB4Xi[6][2500]  = {}
SphereKB4Xi[6][2600]  = {}
SphereKB4Xi[6][2700]  = {}
SphereKB4Xi[6][2800]  = {}
SphereKB4Xi[6][2900]  = {}
SphereKB4Xi[6][3000]  = {}
SphereKB4Xi[6][3100]  = {}
SphereKB4Xi[6][3200]  = {}
SphereKB4Xi[6][3300]  = {}
SphereKB4Xi[7][2]  = {}
SphereKB4Xi[7][10]  = {}
SphereKB4Xi[7][100]  = {}
SphereKB4Xi[7][200]  = {}
SphereKB4Xi[7][300]  = {}
SphereKB4Xi[7][400]  = {}
SphereKB4Xi[7][500]  = {}
SphereKB4Xi[7][600]  = {}
SphereKB4Xi[7][700]  = {}
SphereKB4Xi[7][800]  = {}
SphereKB4Xi[7][900]  = {}
SphereKB4Xi[7][1000]  = {}
SphereKB4Xi[7][1100]  = {}
SphereKB4Xi[7][1200]  = {}
SphereKB4Xi[7][1300]  = {}
SphereKB4Xi[7][1400]  = {}
SphereKB4Xi[7][1500]  = {}
SphereKB4Xi[7][1600]  = {}
SphereKB4Xi[7][1700]  = {}
SphereKB4Xi[7][1800]  = {}
SphereKB4Xi[7][1900]  = {}
SphereKB4Xi[7][2000]  = {}
SphereKB4Xi[7][2100]  = {}
SphereKB4Xi[7][2200]  = {}
SphereKB4Xi[7][2300]  = {}
SphereKB4Xi[7][2400]  = {}
SphereKB4Xi[7][2500]  = {}
SphereKB4Xi[7][2600]  = {}
SphereKB4Xi[7][2700]  = {}
SphereKB4Xi[7][2800]  = {}
SphereKB4Xi[7][2900]  = {}
SphereKB4Xi[7][3000]  = {}
SphereKB4Xi[7][3100]  = {}
SphereKB4Xi[7][3200]  = {}
SphereKB4Xi[7][3300]  = {}
SphereKB4Xi[8][2]  = {}
SphereKB4Xi[8][10]  = {}
SphereKB4Xi[8][100]  = {}
SphereKB4Xi[8][200]  = {}
SphereKB4Xi[8][300]  = {}
SphereKB4Xi[8][400]  = {}
SphereKB4Xi[8][500]  = {}
SphereKB4Xi[8][600]  = {}
SphereKB4Xi[8][700]  = {}
SphereKB4Xi[8][800]  = {}
SphereKB4Xi[8][900]  = {}
SphereKB4Xi[8][1000]  = {}
SphereKB4Xi[8][1100]  = {}
SphereKB4Xi[8][1200]  = {}
SphereKB4Xi[8][1300]  = {}
SphereKB4Xi[8][1400]  = {}
SphereKB4Xi[8][1500]  = {}
SphereKB4Xi[8][1600]  = {}
SphereKB4Xi[8][1700]  = {}
SphereKB4Xi[8][1800]  = {}
SphereKB4Xi[8][1900]  = {}
SphereKB4Xi[8][2000]  = {}
SphereKB4Xi[8][2100]  = {}
SphereKB4Xi[8][2200]  = {}
SphereKB4Xi[8][2300]  = {}
SphereKB4Xi[8][2400]  = {}
SphereKB4Xi[8][2500]  = {}
SphereKB4Xi[8][2600]  = {}
SphereKB4Xi[8][2700]  = {}
SphereKB4Xi[8][2800]  = {}
SphereKB4Xi[8][2900]  = {}
SphereKB4Xi[8][3000]  = {}
SphereKB4Xi[8][3100]  = {}
SphereKB4Xi[8][3200]  = {}
SphereKB4Xi[8][3300]  = {}
SphereKB4Xi[0][0]["0x0y0z"] = {'8xi': {}, '2xi': {1: 0, 2: 1, 3: {1: 12.566370614359172, 2: '#AF8F8F', 3: 0, 4: 0}, 4: 'dragon0x0y0z', 5: '#E8DCD1', 6: 0, 7: 20, 8: 1, 9: 0.4226973081, 10: 6, 11: '{started; sense-of-Origin4Xi-started: 05:50:50 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '-1x-1y-1z', 16: '1x1y1z', 17: '-1x-1y-1z', 18: '1x1y1z', 19: '__init__.py'}, '4xi': {}}
SphereKB4Xi[1][2]["1x1y1z"] = {'8xi': {}, '2xi': {1: 1, 2: 2, 3: {1: 6.283185307179586, 2: '#848484', 3: 1, 4: 6.283185307179586}, 4: 'dragon1x1y1z', 5: '#6F4A20', 6: 1, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-1Skeleton4Xi-started: 05:50:50 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '0x0y0z', 16: '1x-1y-1z', 17: '0x0y3299z', 18: '0x13y15z', 19: 'zap0000one4xi.py'}, '4xi': {}}
SphereKB4Xi[1][10]["0x0y19z"] = {'8xi': {}, '2xi': {1: 1, 2: 10, 3: {1: 157.07963267948966, 2: '#848484', 3: 8, 4: 19.634954084936208}, 4: 'dragon0x0y19z', 5: '#9BA2A2', 6: 8, 7: 1, 8: Decimal('19.0'), 9: Decimal('9'), 10: 1, 11: '{(Step 1/3a) started; set-uskeleton4xi-started: function set_uskeleton4xi at 0x0257DF18; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'set_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '0x0y39z', 17: '0x1y59z', 18: '0x0y19z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[1][10]["0x0y39z"] = {'8xi': {}, '2xi': {1: 1, 2: 10, 3: {1: 157.07963267948966, 2: '#848484', 3: 8, 4: 19.634954084936208}, 4: 'dragon0x0y39z', 5: '#9BA2A2', 6: 9, 7: 1, 8: Decimal('39.0'), 9: Decimal('29'), 10: 1, 11: '{(Step 1/3b) passed; u-set-param1-passed-to-set-uskeleton4xi: unified function setting first time; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'set_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '0x0y19z', 16: '0x0y59z', 17: '0x1y59z', 18: '0x0y19z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[1][10]["0x0y59z"] = {'8xi': {}, '2xi': {1: 1, 2: 10, 3: {1: 157.07963267948966, 2: '#848484', 3: 8, 4: 19.634954084936208}, 4: 'dragon0x0y59z', 5: '#9BA2A2', 6: 10, 7: 1, 8: Decimal('59.0'), 9: Decimal('49'), 10: 1, 11: '{(Step 2/3) initialized; u2xi-initialized-by-set-uskeleton4xi to: unified function setting first time; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'set_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '0x0y39z', 16: '0x0y89z', 17: '0x1y59z', 18: '0x0y19z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[1][10]["0x0y89z"] = {'8xi': {}, '2xi': {1: 1, 2: 10, 3: {1: 157.07963267948966, 2: '#848484', 3: 8, 4: 19.634954084936208}, 4: 'dragon0x0y89z', 5: '#9BA2A2', 6: 11, 7: 1, 8: Decimal('89.0'), 9: Decimal('79'), 10: 1, 11: '{(Step 3/3) returning; set-uskeleton4xi-returning: ; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'set_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '0x0y59z', 16: '0x13y14z', 17: '0x1y59z', 18: '0x0y19z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[1][10]["0x13y14z"] = {'8xi': {}, '2xi': {1: 1, 2: 10, 3: {1: 157.07963267948966, 2: '#848484', 3: 8, 4: 19.634954084936208}, 4: 'dragon0x13y14z', 5: '#9BA2A2', 6: 47, 7: 1, 8: Decimal('19.1049731745428'), 9: Decimal('9'), 10: 1, 11: '{(Step 1/3a) started; set-uskeleton4xi-started: function set_uskeleton4xi at 0x0257DF18; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'set_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '0x0y89z', 16: '0x13y15z', 17: '0x1y59z', 18: '0x0y19z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[1][10]["0x13y15z"] = {'8xi': {}, '2xi': {1: 1, 2: 10, 3: {1: 157.07963267948966, 2: '#848484', 3: 8, 4: 19.634954084936208}, 4: 'dragon0x13y15z', 5: '#9BA2A2', 6: 48, 7: 1, 8: Decimal('19.849433241279208'), 9: Decimal('9'), 10: 1, 11: '{(Step 1/3b) passed; u-set-param1-passed-to-set-uskeleton4xi: unified method setting first time; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'set_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '0x13y14z', 16: '0x1y39z', 17: '0x1y59z', 18: '0x0y19z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[1][10]["0x1y39z"] = {'8xi': {}, '2xi': {1: 1, 2: 10, 3: {1: 157.07963267948966, 2: '#848484', 3: 8, 4: 19.634954084936208}, 4: 'dragon0x1y39z', 5: '#9BA2A2', 6: 49, 7: 1, 8: Decimal('39.01281840626232'), 9: Decimal('29'), 10: 1, 11: '{(Step 2/3) initialized; u2xi-initialized-by-set-uskeleton4xi to: unified method setting first time; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'set_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '0x13y15z', 16: '0x1y59z', 17: '0x1y59z', 18: '0x0y19z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[1][10]["0x1y59z"] = {'8xi': {}, '2xi': {1: 1, 2: 10, 3: {1: 157.07963267948966, 2: '#848484', 3: 8, 4: 19.634954084936208}, 4: 'dragon0x1y59z', 5: '#9BA2A2', 6: 50, 7: 1, 8: Decimal('59.00847396772772'), 9: Decimal('49'), 10: 1, 11: '{(Step 3/3) returning; set-uskeleton4xi-returning: ; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'set_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '0x1y39z', 16: '+0x+0y+0z', 17: '0x1y59z', 18: '0x0y19z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[1][3200]["0x0y3199z"] = {'8xi': {}, '2xi': {1: 1, 2: 3200, 3: {1: 16084954.386379741, 2: '#848484', 3: 9, 4: 1787217.1540421934}, 4: 'dragon0x0y3199z', 5: '#7C6142', 6: 3201, 7: 1, 8: 3200, 9: 0, 10: 1, 11: '{started; sense-of-Cluster4Xi-started: 05:50:50 04/07/14 Pacific Daylight Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '0x0y3199z', 18: '0x0y3199z', 19: 'xml_trace_sense4xi.py'}, '4xi': {}}
SphereKB4Xi[1][3300]["0x0y3299z"] = {'8xi': {}, '2xi': {1: 1, 2: 3300, 3: {1: 17105971.998796422, 2: '#848484', 3: 9, 4: 1900663.5554218246}, 4: 'dragon0x0y3299z', 5: '#9BA2A2', 6: 3302, 7: 1, 8: 3300, 9: 0, 10: 1, 11: '{started; sense-of-Cluster4Xi-started: 05:50:50 04/07/14 Pacific Daylight Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '0x0y3299z', 18: '0x0y3299z', 19: 'xml_trace_sense4xi.py'}, '4xi': {}}
SphereKB4Xi[2][2]["1x-1y-1z"] = {'8xi': {}, '2xi': {1: 2, 2: 2, 3: {1: 6.283185307179586, 2: '#D7D0CA', 3: 1, 4: 6.283185307179586}, 4: 'dragon1x-1y-1z', 5: '#7F5321', 6: 2, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-2Skeleton4Xi-started: 05:50:50 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '1x1y1z', 16: '1x1y-1z', 17: '1001x-859y-3024z', 18: '1004x-694y-2957z', 19: 'zap0000two4xi.py'}, '4xi': {}}
SphereKB4Xi[2][3200]["1004x-694y-2957z"] = {'8xi': {}, '2xi': {1: 2, 2: 3200, 3: {1: 16084954.386379741, 2: '#D7D0CA', 3: 1, 4: 16084954.386379741}, 4: 'dragon1004x-694y-2957z', 5: '#F55A5A', 6: 3202, 7: 2, 8: 3200, 9: 0, 10: 2, 11: '{started; sense-of-Cluster4Xi-started: 05:50:50 04/07/14 Pacific Daylight Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '1004x-694y-2957z', 18: '1004x-694y-2957z', 19: 'xml_trace_sense4xi.py'}, '4xi': {}}
SphereKB4Xi[2][3300]["1001x-859y-3024z"] = {'8xi': {}, '2xi': {1: 2, 2: 3300, 3: {1: 17105971.998796422, 2: '#D7D0CA', 3: 1, 4: 17105971.998796422}, 4: 'dragon1001x-859y-3024z', 5: '#0080FF', 6: 3303, 7: 1, 8: 3300, 9: 0, 10: 2, 11: '{started; sense-of-SuperCluster4Xi-started: 05:50:50 04/07/14 Pacific Daylight Time}', 12: 'super', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '1001x-859y-3024z', 18: '1001x-859y-3024z', 19: 'xml_trace_sense4xi.py'}, '4xi': {}}
SphereKB4Xi[3][2]["1x1y-1z"] = {'8xi': {}, '2xi': {1: 3, 2: 2, 3: {1: 6.283185307179586, 2: '#C3BDB7', 3: 1, 4: 6.283185307179586}, 4: 'dragon1x1y-1z', 5: '#95652E', 6: 3, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-3Skeleton4Xi-started: 05:50:50 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '1x-1y-1z', 16: '1x-1y1z', 17: '0x3106y-769z', 18: '24x28y-12z', 19: 'zap0000three4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["0x0y-39z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon0x0y-39z', 5: '#0080FF', 6: 15, 7: 3, 8: Decimal('39.0'), 9: Decimal('29'), 10: 3, 11: '{(Step 1/3a) started; init-of-USkeleton4Xi-started: ; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: '__init__-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '0x0y-69z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["0x0y-69z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon0x0y-69z', 5: '#0080FF', 6: 16, 7: 3, 8: Decimal('69.0'), 9: Decimal('59'), 10: 3, 11: '{(Step 1/3b) borning; uskeleton2xi-of-USkeleton4Xi-borning: ; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: '__init__-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '0x0y-39z', 16: '0x19y-4z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["0x19y-4z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon0x19y-4z', 5: '#0080FF', 6: 17, 7: 3, 8: Decimal('19.4164878389476'), 9: Decimal('9'), 10: 3, 11: "{(Step 1/3c) inheriting; object-inheriting-by-uskeleton2xi-of-USkeleton4Xi: class 'object'; time: 01:23:20 04/07/14 Pacific Daylight Time}", 12: '__init__-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '0x0y-69z', 16: '0x1y-69z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["0x1y-69z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon0x1y-69z', 5: '#0080FF', 6: 18, 7: 3, 8: Decimal('69.00724599634447'), 9: Decimal('59'), 10: 3, 11: '{(Step 1/3d) sharing; classvariable2u-sharing-by-uskeleton2xi-of-USkeleton4Xi: None; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: '__init__-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '0x19y-4z', 16: '0x2y-69z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["0x2y-69z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon0x2y-69z', 5: '#0080FF', 6: 19, 7: 3, 8: Decimal('69.02897942168927'), 9: Decimal('59'), 10: 3, 11: '{(Step 1/3e) passed; u-init-param1-passed-to-init-of-USkeleton4Xi: None; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: '__init__-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '0x1y-69z', 16: '0x3y-69z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["0x3y-69z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon0x3y-69z', 5: '#0080FF', 6: 20, 7: 3, 8: Decimal('69.06518659932803'), 9: Decimal('59'), 10: 3, 11: '{(Step 2/3a) passing; u-init-param1-passing-to-init-uskeleton4xi-by-init-of-USkeleton4Xi: None; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: '__init__-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '0x2y-69z', 16: '0x4y-69z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["0x4y-69z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon0x4y-69z', 5: '#0080FF', 6: 25, 7: 3, 8: Decimal('69.1158447825099'), 9: Decimal('59'), 10: 3, 11: '{(Step 2/3b) performed; init-uskeleton4xi-performed-by-init-of-USkeleton4Xi: function init_uskeleton4xi at 0x023328A0; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: '__init__-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '0x3y-69z', 16: '0x53y-26z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["0x53y-26z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon0x53y-26z', 5: '#0080FF', 6: 26, 7: 3, 8: Decimal('59.033888572581766'), 9: Decimal('49'), 10: 3, 11: '{(Step 3/3a) activated; uskeleton2xi-of-USkeleton4Xi-activated: ; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: '__init__-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '0x4y-69z', 16: '0x7y-29z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["0x7y-29z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon0x7y-29z', 5: '#0080FF', 6: 27, 7: 3, 8: Decimal('29.832867780352597'), 9: Decimal('19'), 10: 3, 11: "{(Step 3/3b) inherited; object-inherited-by-uskeleton2xi-of-USkeleton4Xi: class 'object'; time: 01:23:20 04/07/14 Pacific Daylight Time}", 12: '__init__-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '0x53y-26z', 16: '0x8y-39z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["0x8y-39z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon0x8y-39z', 5: '#0080FF', 6: 28, 7: 3, 8: Decimal('39.81205847478876'), 9: Decimal('29'), 10: 3, 11: '{(Step 3/3c) shared; classvariable2u-shared-by-uskeleton2xi-of-USkeleton4Xi: None; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: '__init__-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '0x7y-29z', 16: '0x9y-38z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["0x9y-38z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon0x9y-38z', 5: '#0080FF', 6: 29, 7: 3, 8: Decimal('39.05124837953327'), 9: Decimal('29'), 10: 3, 11: '{(Step 3/3d) returning; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: '__init__-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '0x8y-39z', 16: '1x5y-69z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["10x7y-58z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon10x7y-58z', 5: '#0080FF', 6: 68, 7: 3, 8: Decimal('59.270566050949775'), 9: Decimal('49'), 10: 3, 11: '{started; ace-of-USkeleton4Xi-started: ; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'ace-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '24x28y-12z', 16: '11x44y-19z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["11x44y-19z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon11x44y-19z', 5: '#0080FF', 6: 69, 7: 3, 8: Decimal('49.17316341257699'), 9: Decimal('39'), 10: 3, 11: "{acing; USkeleton4Xi-acing-by-ace-of-USkeleton4Xi: class 'uskeleton4xi.USkeleton4Xi'; time: 01:23:20 04/07/14 Pacific Daylight Time}", 12: 'ace-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '10x7y-58z', 16: '13x0y-58z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["13x0y-58z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon13x0y-58z', 5: '#0080FF', 6: 70, 7: 3, 8: Decimal('59.43904440685432'), 9: Decimal('49'), 10: 3, 11: "{got; kb8xi-got-by-ace-of-USkeleton4Xi: {'object8xi': uskeleton4xi.USkeleton4Xi object at 0x0216E690}; time: 01:23:20 04/07/14 Pacific Daylight Time}", 12: 'ace-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '11x44y-19z', 16: '13x44y-19z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["13x44y-19z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon13x44y-19z', 5: '#0080FF', 6: 71, 7: 3, 8: Decimal('49.658836071740545'), 9: Decimal('39'), 10: 3, 11: "{aced; USkeleton4Xi-aced-by-ace-of-USkeleton4Xi: class 'uskeleton4xi.USkeleton4Xi'; time: 01:23:20 04/07/14 Pacific Daylight Time}", 12: 'ace-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '13x0y-58z', 16: '15x43y-19z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["15x43y-19z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon15x43y-19z', 5: '#0080FF', 6: 72, 7: 3, 8: Decimal('49.34571916590131'), 9: Decimal('39'), 10: 3, 11: "{returning; kb8xi-returning-by-ace-of-USkeleton4Xi: {'object8xi': uskeleton4xi.USkeleton4Xi object at 0x0216E690, 'time-ace-of-USkeleton4Xi': '01:23:20 04/07/14 Pacific Daylight Time'}; time: 01:23:20 04/07/14 Pacific Daylight Time}", 12: 'ace-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '13x44y-19z', 16: '+0x+0y+0z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["18x42y-18z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon18x42y-18z', 5: '#0080FF', 6: 39, 7: 3, 8: Decimal('49.1121166312347'), 9: Decimal('39'), 10: 3, 11: '{(Step 1/2) started; get-uskeleton-of-USkeleton4Xi-started: ; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'get_uskeleton-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '20x41y-18z', 16: '1x19y-4z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["1x19y-4z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon1x19y-4z', 5: '#0080FF', 6: 40, 7: 3, 8: Decimal('19.44222209522358'), 9: Decimal('9'), 10: 3, 11: '{(Step 2/2) returning; get-uskeleton4xi-function-returning-by-get-uskeleton-of-USkeleton4Xi: function get_uskeleton4xi at 0x0257DFA8; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'get_uskeleton-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '18x42y-18z', 16: '29x24y-11z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["1x44y-21z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon1x44y-21z', 5: '#0080FF', 6: 53, 7: 3, 8: Decimal('48.76474136094644'), 9: Decimal('38'), 10: 3, 11: '{(Step 1/2) started; get-uskeleton-of-USkeleton4Xi-started: ; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'get_uskeleton-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '2x6y-69z', 16: '1x4y-69z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["1x4y-69z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon1x4y-69z', 5: '#0080FF', 6: 54, 7: 3, 8: Decimal('69.12307863514182'), 9: Decimal('59'), 10: 3, 11: '{(Step 2/2) returning; get-uskeleton4xi-function-returning-by-get-uskeleton-of-USkeleton4Xi: function get_uskeleton4xi at 0x0257DFA8; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'get_uskeleton-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '1x44y-21z', 16: '24x39y-17z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["1x5y-69z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon1x5y-69z', 5: '#0080FF', 6: 30, 7: 3, 8: Decimal('69.18814927427962'), 9: Decimal('59'), 10: 3, 11: '{(Step 1/3a) started; init-uskeleton-of-USkeleton4Xi-started: ; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'init_uskeleton-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '0x9y-38z', 16: '1x7y-28z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["1x7y-28z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon1x7y-28z', 5: '#0080FF', 6: 31, 7: 3, 8: Decimal('28.879058156387302'), 9: Decimal('18'), 10: 3, 11: '{(Step 1/3b) passed; u-init-param1-passed-to-init-uskeleton-of-USkeleton4Xi: unified method initialization first time; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'init_uskeleton-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '1x5y-69z', 16: '1x8y-28z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["1x8y-28z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon1x8y-28z', 5: '#0080FF', 6: 32, 7: 3, 8: Decimal('29.13760456866693'), 9: Decimal('19'), 10: 3, 11: '{(Step 2/3a) passing; u-init-param1-passing-to-init-uskeleton4xi-by-init-uskeleton-of-USkeleton4Xi: unified method initialization first time; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'init_uskeleton-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '1x7y-28z', 16: '1x9y-2z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["1x9y-2z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon1x9y-2z', 5: '#0080FF', 6: 37, 7: 3, 8: Decimal('9.273618495495704'), 9: Decimal('0'), 10: 3, 11: '{(Step 2/3b) performed; init-uskeleton4xi-performed-by-init-uskeleton-of-USkeleton4Xi: function init_uskeleton4xi at 0x023328A0; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'init_uskeleton-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '1x8y-28z', 16: '20x41y-18z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["20x41y-18z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon20x41y-18z', 5: '#0080FF', 6: 38, 7: 3, 8: Decimal('49.040799340956916'), 9: Decimal('39'), 10: 3, 11: '{(Step 3/3) returning; init-uskeleton-of-USkeleton4Xi-returning: ; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'init_uskeleton-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '1x9y-2z', 16: '18x42y-18z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["21x74y-45z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon21x74y-45z', 5: '#0080FF', 6: 63, 7: 3, 8: Decimal('89.11789943664516'), 9: Decimal('79'), 10: 3, 11: '{started; reason-of-USkeleton4Xi-started: ; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'reason-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '27x38y-16z', 16: '22x40y-17z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["22x40y-17z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon22x40y-17z', 5: '#0080FF', 6: 64, 7: 3, 8: Decimal('48.7134478352744'), 9: Decimal('38'), 10: 3, 11: "{reasoning; USkeleton4Xi-reasoning-by-reason-of-USkeleton4Xi: class 'uskeleton4xi.USkeleton4Xi'; time: 01:23:20 04/07/14 Pacific Daylight Time}", 12: 'reason-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '21x74y-45z', 16: '22x65y-40z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["22x65y-40z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon22x65y-40z', 5: '#0080FF', 6: 65, 7: 3, 8: Decimal('79.42921376924235'), 9: Decimal('69'), 10: 3, 11: "{got; kb4xi-got-by-reason-of-USkeleton4Xi: {'object-reason-object4xi': uskeleton4xi.USkeleton4Xi object at 0x0216E690}; time: 01:23:20 04/07/14 Pacific Daylight Time}", 12: 'reason-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '22x40y-17z', 16: '23x29y-13z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["23x29y-13z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon23x29y-13z', 5: '#0080FF', 6: 66, 7: 3, 8: Decimal('39.230090491866065'), 9: Decimal('29'), 10: 3, 11: "{reasoned; USkeleton4Xi-reasoned-by-reason-of-USkeleton4Xi: class 'uskeleton4xi.USkeleton4Xi'; time: 01:23:20 04/07/14 Pacific Daylight Time}", 12: 'reason-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '22x65y-40z', 16: '24x28y-12z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["24x28y-12z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon24x28y-12z', 5: '#0080FF', 6: 67, 7: 3, 8: Decimal('38.781438859330635'), 9: Decimal('28'), 10: 3, 11: "{returning; kb4xi-returning-by-reason-of-USkeleton4Xi: {'time-reason-of-USkeleton4Xi': '01:23:20 04/07/14 Pacific Daylight Time', 'object-reason-object4xi': uskeleton4xi.USkeleton4Xi object at 0x0216E690}; time: 01:23:20 04/07/14 Pacific Daylight Time}", 12: 'reason-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '23x29y-13z', 16: '10x7y-58z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["24x39y-17z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon24x39y-17z', 5: '#0080FF', 6: 58, 7: 3, 8: Decimal('48.84669896727925'), 9: Decimal('38'), 10: 3, 11: '{started; sense-of-USkeleton4Xi-started: ; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'sense-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '1x4y-69z', 16: '26x27y-12z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["26x27y-12z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon26x27y-12z', 5: '#0080FF', 6: 59, 7: 3, 8: Decimal('39.35733730830886'), 9: Decimal('29'), 10: 3, 11: "{sensing; USkeleton4Xi-sensing-by-sense-of-USkeleton4Xi: class 'uskeleton4xi.USkeleton4Xi'; time: 01:23:20 04/07/14 Pacific Daylight Time}", 12: 'sense-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '24x39y-17z', 16: '26x64y-39z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["26x64y-39z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon26x64y-39z', 5: '#0080FF', 6: 60, 7: 3, 8: Decimal('79.328431221095'), 9: Decimal('69'), 10: 3, 11: "{got; kb2xi-got-by-sense-of-USkeleton4Xi: {'object': uskeleton4xi.USkeleton4Xi object at 0x0216E690}; time: 01:23:20 04/07/14 Pacific Daylight Time}", 12: 'sense-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '26x27y-12z', 16: '27x26y-11z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["27x26y-11z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon27x26y-11z', 5: '#0080FF', 6: 61, 7: 3, 8: Decimal('39.06404996924922'), 9: Decimal('29'), 10: 3, 11: "{sensed; USkeleton4Xi-sensed-by-sense-of-USkeleton4Xi: class 'uskeleton4xi.USkeleton4Xi'; time: 01:23:20 04/07/14 Pacific Daylight Time}", 12: 'sense-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '26x64y-39z', 16: '27x38y-16z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["27x38y-16z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon27x38y-16z', 5: '#0080FF', 6: 62, 7: 3, 8: Decimal('49.28488612140643'), 9: Decimal('39'), 10: 3, 11: "{returning; kb2xi-returning-by-sense-of-USkeleton4Xi: {'object': uskeleton4xi.USkeleton4Xi object at 0x0216E690, 'classvariable2u-of-USkeleton4Xi': None}; time: 01:23:20 04/07/14 Pacific Daylight Time}", 12: 'sense-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '27x26y-11z', 16: '21x74y-45z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["29x24y-11z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon29x24y-11z', 5: '#0080FF', 6: 44, 7: 3, 8: Decimal('39.21734310225516'), 9: Decimal('29'), 10: 3, 11: '{(Step 1/3a) started; set-uskeleton-of-USkeleton4Xi-started: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'set_uskeleton-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '1x19y-4z', 16: '29x63y-38z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["29x63y-38z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon29x63y-38z', 5: '#0080FF', 6: 45, 7: 3, 8: Decimal('79.08223567907018'), 9: Decimal('69'), 10: 3, 11: '{(Step 1/3b) passed; u-set-param1-passed-to-set-uskeleton-of-USkeleton4Xi: unified method setting first time; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'set_uskeleton-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '29x24y-11z', 16: '2x19y-4z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["2x19y-4z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon2x19y-4z', 5: '#0080FF', 6: 46, 7: 3, 8: Decimal('19.519221295943137'), 9: Decimal('9'), 10: 3, 11: '{(Step 2/3a) passing; u-set-param1-passing-to-set-uskeleton4xi-by-set-uskeleton-of-USkeleton4Xi: unified method setting first time; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'set_uskeleton-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '29x63y-38z', 16: '2x5y-69z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["2x5y-69z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon2x5y-69z', 5: '#0080FF', 6: 51, 7: 3, 8: Decimal('69.2098258919931'), 9: Decimal('59'), 10: 3, 11: '{(Step 2/3b) performed; set-uskeleton4xi-performed-by-set-uskeleton-of-USkeleton4Xi: function set_uskeleton4xi at 0x0257DF18; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'set_uskeleton-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '2x19y-4z', 16: '2x6y-69z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][10]["2x6y-69z"] = {'8xi': {}, '2xi': {1: 3, 2: 10, 3: {1: 157.07963267948966, 2: '#C3BDB7', 3: 40, 4: 3.9269908169872414}, 4: 'dragon2x6y-69z', 5: '#0080FF', 6: 52, 7: 3, 8: Decimal('69.28924880528002'), 9: Decimal('59'), 10: 3, 11: '{(Step 3/3) returning; set-uskeleton-of-USkeleton4Xi-returning: ; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'set_uskeleton-of-USkeleton4Xi', 13: 2, 14: '-0x-0y-0z', 15: '2x5y-69z', 16: '1x44y-21z', 17: '15x43y-19z', 18: '0x0y-39z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[3][3200]["0x3106y-769z"] = {'8xi': {}, '2xi': {1: 3, 2: 3200, 3: {1: 16084954.386379741, 2: '#C3BDB7', 3: 41, 4: 392315.9606434083}, 4: 'dragon0x3106y-769z', 5: '#0080FF', 6: 3203, 7: 3, 8: 3200, 9: 0, 10: 3, 11: '{started; sense-of-Cluster4Xi-started: 05:50:50 04/07/14 Pacific Daylight Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '0x3106y-769z', 18: '0x3106y-769z', 19: 'xml_trace_sense4xi.py'}, '4xi': {}}
SphereKB4Xi[4][2]["1x-1y1z"] = {'8xi': {}, '2xi': {1: 4, 2: 2, 3: {1: 6.283185307179586, 2: '#AFAAA5', 3: 1, 4: 6.283185307179586}, 4: 'dragon1x-1y1z', 5: '#AB712F', 6: 4, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-4Skeleton4Xi-started: 05:50:50 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '1x1y-1z', 16: '-1x1y1z', 17: '1001x-3083y614z', 18: '1002x-1179y2800z', 19: 'zap0000four4xi.py'}, '4xi': {}}
SphereKB4Xi[4][3200]["1002x-1179y2800z"] = {'8xi': {}, '2xi': {1: 4, 2: 3200, 3: {1: 16084954.386379741, 2: '#AFAAA5', 3: 1, 4: 16084954.386379741}, 4: 'dragon1002x-1179y2800z', 5: '#F3F947', 6: 3207, 7: 7, 8: 3200, 9: 0, 10: 4, 11: '{started; sense-of-Cluster4Xi-started: 05:50:50 04/07/14 Pacific Daylight Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '1002x-1179y2800z', 18: '1002x-1179y2800z', 19: 'xml_trace_sense4xi.py'}, '4xi': {}}
SphereKB4Xi[4][3300]["1001x-3083y614z"] = {'8xi': {}, '2xi': {1: 4, 2: 3300, 3: {1: 17105971.998796422, 2: '#AFAAA5', 3: 1, 4: 17105971.998796422}, 4: 'dragon1001x-3083y614z', 5: '#9292A1', 6: 3305, 7: 1, 8: 3300, 9: 0, 10: 4, 11: '{started; sense-of-SuperCluster4Xi-started: 05:50:50 04/07/14 Pacific Daylight Time}', 12: 'super', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '1001x-3083y614z', 18: '1001x-3083y614z', 19: 'xml_trace_sense4xi.py'}, '4xi': {}}
SphereKB4Xi[5][2]["-1x1y1z"] = {'8xi': {}, '2xi': {1: 5, 2: 2, 3: {1: 6.283185307179586, 2: '#A29E9A', 3: 1, 4: 6.283185307179586}, 4: 'dragon-1x1y1z', 5: '#BA7525', 6: 5, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-5Skeleton4Xi-started: 05:50:50 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '1x-1y1z', 16: '-1x1y-1z', 17: '-1001x2946y1098z', 18: '-1006x1915y2357z', 19: 'zap0000five4xi.py'}, '4xi': {}}
SphereKB4Xi[5][3200]["-1006x1915y2357z"] = {'8xi': {}, '2xi': {1: 5, 2: 3200, 3: {1: 16084954.386379741, 2: '#A29E9A', 3: 1, 4: 16084954.386379741}, 4: 'dragon-1006x1915y2357z', 5: '#DF0101', 6: 3206, 7: 8, 8: 3200, 9: 0, 10: 5, 11: '{started; sense-of-Cluster4Xi-started: 05:50:50 04/07/14 Pacific Daylight Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1006x1915y2357z', 18: '-1006x1915y2357z', 19: 'xml_trace_sense4xi.py'}, '4xi': {}}
SphereKB4Xi[5][3300]["-1001x2946y1098z"] = {'8xi': {}, '2xi': {1: 5, 2: 3300, 3: {1: 17105971.998796422, 2: '#A29E9A', 3: 1, 4: 17105971.998796422}, 4: 'dragon-1001x2946y1098z', 5: '#0B6138', 6: 3306, 7: 1, 8: 3300, 9: 0, 10: 5, 11: '{started; sense-of-SuperCluster4Xi-started: 05:50:50 04/07/14 Pacific Daylight Time}', 12: 'super', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1001x2946y1098z', 18: '-1001x2946y1098z', 19: 'xml_trace_sense4xi.py'}, '4xi': {}}
SphereKB4Xi[6][2]["-1x1y-1z"] = {'8xi': {}, '2xi': {1: 6, 2: 2, 3: {1: 6.283185307179586, 2: '#9A9591', 3: 1, 4: 6.283185307179586}, 4: 'dragon-1x1y-1z', 5: '#CB7C21', 6: 6, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-6Skeleton4Xi-started: 05:50:50 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '-1x1y1z', 16: '-1x-1y1z', 17: '-1029x2984y-961z', 18: '-13x12y-7z', 19: 'zap0000six4xi.py'}, '4xi': {}}
SphereKB4Xi[6][10]["-11x47y-49z"] = {'8xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 12, 4: 13.089969389957473}, 4: 'dragon-11x47y-49z', 5: '#4C7094', 6: 5, 7: 30, 8: Decimal('68.78226515607058'), 9: Decimal('58'), 10: 6, 11: '{(Step 1/3) started; get-uskeleton4xi-started: function get_uskeleton4xi at 0x0257DFA8; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'get_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '-12x13y-7z', 17: '-16x5y-9z', 18: '-11x47y-49z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[6][10]["-12x13y-7z"] = {'8xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 12, 4: 13.089969389957473}, 4: 'dragon-12x13y-7z', 5: '#4C7094', 6: 6, 7: 30, 8: Decimal('19.026297590440446'), 9: Decimal('9'), 10: 6, 11: '{(Step 2/3) got; u2xi-got-by-get-uskeleton4xi: u2xi; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'get_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '-11x47y-49z', 16: '-13x12y-7z', 17: '-16x5y-9z', 18: '-11x47y-49z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[6][10]["-13x12y-7z"] = {'8xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 12, 4: 13.089969389957473}, 4: 'dragon-13x12y-7z', 5: '#4C7094', 6: 7, 7: 30, 8: Decimal('19.026297590440446'), 9: Decimal('9'), 10: 6, 11: '{returning; u2xi-returning-by-get-uskeleton4xi: u2xi; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'get_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '-12x13y-7z', 16: '-13x12y-8z', 17: '-16x5y-9z', 18: '-11x47y-49z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[6][10]["-13x12y-8z"] = {'8xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 12, 4: 13.089969389957473}, 4: 'dragon-13x12y-8z', 5: '#4C7094', 6: 12, 7: 30, 8: Decimal('19.4164878389476'), 9: Decimal('9'), 10: 6, 11: '{(Step 1/3) started; get-uskeleton4xi-started: function get_uskeleton4xi at 0x0257DFA8; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'get_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '-13x12y-7z', 16: '-13x46y-50z', 17: '-16x5y-9z', 18: '-11x47y-49z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[6][10]["-13x46y-50z"] = {'8xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 12, 4: 13.089969389957473}, 4: 'dragon-13x46y-50z', 5: '#4C7094', 6: 13, 7: 30, 8: Decimal('69.17369442208505'), 9: Decimal('59'), 10: 6, 11: '{(Step 2/3) got; u2xi-got-by-get-uskeleton4xi: u2xi; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'get_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '-13x12y-8z', 16: '-14x10y-8z', 17: '-16x5y-9z', 18: '-11x47y-49z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[6][10]["-14x10y-8z"] = {'8xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 12, 4: 13.089969389957473}, 4: 'dragon-14x10y-8z', 5: '#4C7094', 6: 14, 7: 30, 8: Decimal('18.973665961010276'), 9: Decimal('8'), 10: 6, 11: '{returning; u2xi-returning-by-get-uskeleton4xi: u2xi; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'get_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '-13x46y-50z', 16: '-14x11y-8z', 17: '-16x5y-9z', 18: '-11x47y-49z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[6][10]["-14x11y-8z"] = {'8xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 12, 4: 13.089969389957473}, 4: 'dragon-14x11y-8z', 5: '#4C7094', 6: 41, 7: 30, 8: Decimal('19.519221295943137'), 9: Decimal('9'), 10: 6, 11: '{(Step 1/3) started; get-uskeleton4xi-started: function get_uskeleton4xi at 0x0257DFA8; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'get_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '-14x10y-8z', 16: '-15x45y-50z', 17: '-16x5y-9z', 18: '-11x47y-49z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[6][10]["-15x45y-50z"] = {'8xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 12, 4: 13.089969389957473}, 4: 'dragon-15x45y-50z', 5: '#4C7094', 6: 42, 7: 30, 8: Decimal('68.92024376045111'), 9: Decimal('58'), 10: 6, 11: '{(Step 2/3) got; u2xi-got-by-get-uskeleton4xi: u2xi; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'get_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '-14x11y-8z', 16: '-15x8y-8z', 17: '-16x5y-9z', 18: '-11x47y-49z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[6][10]["-15x8y-8z"] = {'8xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 12, 4: 13.089969389957473}, 4: 'dragon-15x8y-8z', 5: '#4C7094', 6: 43, 7: 30, 8: Decimal('18.788294228055936'), 9: Decimal('8'), 10: 6, 11: '{returning; u2xi-returning-by-get-uskeleton4xi: u2xi; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'get_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '-15x45y-50z', 16: '-15x9y-8z', 17: '-16x5y-9z', 18: '-11x47y-49z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[6][10]["-15x9y-8z"] = {'8xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 12, 4: 13.089969389957473}, 4: 'dragon-15x9y-8z', 5: '#4C7094', 6: 55, 7: 30, 8: Decimal('19.235384061671343'), 9: Decimal('9'), 10: 6, 11: '{(Step 1/3) started; get-uskeleton4xi-started: function get_uskeleton4xi at 0x0257DFA8; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'get_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '-15x8y-8z', 16: '-16x4y-9z', 17: '-16x5y-9z', 18: '-11x47y-49z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[6][10]["-16x4y-9z"] = {'8xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 12, 4: 13.089969389957473}, 4: 'dragon-16x4y-9z', 5: '#4C7094', 6: 56, 7: 30, 8: Decimal('18.788294228055936'), 9: Decimal('8'), 10: 6, 11: '{(Step 2/3) got; u2xi-got-by-get-uskeleton4xi: u2xi; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'get_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '-15x9y-8z', 16: '-16x5y-9z', 17: '-16x5y-9z', 18: '-11x47y-49z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[6][10]["-16x5y-9z"] = {'8xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 12, 4: 13.089969389957473}, 4: 'dragon-16x5y-9z', 5: '#4C7094', 6: 57, 7: 30, 8: Decimal('19.026297590440446'), 9: Decimal('9'), 10: 6, 11: '{returning; u2xi-returning-by-get-uskeleton4xi: u2xi; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'get_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '-16x4y-9z', 16: '+0x+0y+0z', 17: '-16x5y-9z', 18: '-11x47y-49z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[6][3200]["-1002x1878y-2389z"] = {'8xi': {}, '2xi': {1: 6, 2: 3200, 3: {1: 16084954.386379741, 2: '#9A9591', 3: 13, 4: 1237304.1835676725}, 4: 'dragon-1002x1878y-2389z', 5: '#4C7094', 6: 3230, 7: 30, 8: 3200, 9: 0, 10: 6, 11: '{started; sense-of-Cluster4Xi-started: 05:50:50 04/07/14 Pacific Daylight Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1002x1878y-2389z', 18: '-1002x1878y-2389z', 19: 'xml_trace_sense4xi.py'}, '4xi': {}}
SphereKB4Xi[6][3300]["-1029x2984y-961z"] = {'8xi': {}, '2xi': {1: 6, 2: 3300, 3: {1: 17105971.998796422, 2: '#9A9591', 3: 13, 4: 1315843.999907417}, 4: 'dragon-1029x2984y-961z', 5: '#F55A5A', 6: 3307, 7: 1, 8: 3300, 9: 0, 10: 6, 11: '{started; sense-of-SuperCluster4Xi-started: 05:50:50 04/07/14 Pacific Daylight Time}', 12: 'super', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1029x2984y-961z', 18: '-1029x2984y-961z', 19: 'xml_trace_sense4xi.py'}, '4xi': {}}
SphereKB4Xi[7][2]["-1x-1y1z"] = {'8xi': {}, '2xi': {1: 7, 2: 2, 3: {1: 6.283185307179586, 2: '#8B8783', 3: 1, 4: 6.283185307179586}, 4: 'dragon-1x-1y1z', 5: '#DF841B', 6: 7, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-7Skeleton4Xi-started: 05:50:50 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '-1x1y-1z', 16: '-1x-1y-1z', 17: '-1009x-2675y1646z', 18: '-10x-13y36z', 19: 'zap0000seven4xi.py'}, '4xi': {}}
SphereKB4Xi[7][10]["-10x-11y36z"] = {'8xi': {}, '2xi': {1: 7, 2: 10, 3: {1: 157.07963267948966, 2: '#8B8783', 3: 12, 4: 13.089969389957473}, 4: 'dragon-10x-11y36z', 5: '#7F7263', 6: 1, 7: 15, 8: Decimal('38.948684188300895'), 9: Decimal('28'), 10: 7, 11: '{(Step 1/3a) started; init-uskeleton4xi-started: function init_uskeleton4xi at 0x023328A0; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'init_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '-10x-12y36z', 17: '-13x-13y7z', 18: '-10x-11y36z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[7][10]["-10x-12y36z"] = {'8xi': {}, '2xi': {1: 7, 2: 10, 3: {1: 157.07963267948966, 2: '#8B8783', 3: 12, 4: 13.089969389957473}, 4: 'dragon-10x-12y36z', 5: '#7F7263', 6: 2, 7: 15, 8: Decimal('39.242833740697165'), 9: Decimal('29'), 10: 7, 11: '{(Step 1/3b) passed; u-init-param1-passed-to-init-uskeleton4xi: unified function initialization first time; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'init_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '-10x-11y36z', 16: '-10x-13y36z', 17: '-13x-13y7z', 18: '-10x-11y36z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[7][10]["-10x-13y36z"] = {'8xi': {}, '2xi': {1: 7, 2: 10, 3: {1: 157.07963267948966, 2: '#8B8783', 3: 12, 4: 13.089969389957473}, 4: 'dragon-10x-13y36z', 5: '#7F7263', 6: 3, 7: 15, 8: Decimal('39.56008088970496'), 9: Decimal('29'), 10: 7, 11: '{(Step 2/3) initialized; u2xi-initialized-by-init-uskeleton4xi to: unified function initialization first time; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'init_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '-10x-12y36z', 16: '-10x-15y6z', 17: '-13x-13y7z', 18: '-10x-11y36z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[7][10]["-10x-15y6z"] = {'8xi': {}, '2xi': {1: 7, 2: 10, 3: {1: 157.07963267948966, 2: '#8B8783', 3: 12, 4: 13.089969389957473}, 4: 'dragon-10x-15y6z', 5: '#7F7263', 6: 4, 7: 15, 8: Decimal('19.0'), 9: Decimal('9'), 10: 7, 11: '{(Step 3/3) returning; init-uskeleton4xi-returning: ; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'init_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '-10x-13y36z', 16: '-10x-15y7z', 17: '-13x-13y7z', 18: '-10x-11y36z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[7][10]["-10x-15y7z"] = {'8xi': {}, '2xi': {1: 7, 2: 10, 3: {1: 157.07963267948966, 2: '#8B8783', 3: 12, 4: 13.089969389957473}, 4: 'dragon-10x-15y7z', 5: '#7F7263', 6: 21, 7: 15, 8: Decimal('19.339079605813716'), 9: Decimal('9'), 10: 7, 11: '{(Step 1/3a) started; init-uskeleton4xi-started: function init_uskeleton4xi at 0x023328A0; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'init_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '-10x-15y6z', 16: '-11x-10y36z', 17: '-13x-13y7z', 18: '-10x-11y36z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[7][10]["-11x-10y36z"] = {'8xi': {}, '2xi': {1: 7, 2: 10, 3: {1: 157.07963267948966, 2: '#8B8783', 3: 12, 4: 13.089969389957473}, 4: 'dragon-11x-10y36z', 5: '#7F7263', 6: 22, 7: 15, 8: Decimal('38.948684188300895'), 9: Decimal('28'), 10: 7, 11: '{(Step 1/3b) passed; u-init-param1-passed-to-init-uskeleton4xi: None; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'init_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '-10x-15y7z', 16: '-11x-14y7z', 17: '-13x-13y7z', 18: '-10x-11y36z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[7][10]["-11x-14y7z"] = {'8xi': {}, '2xi': {1: 7, 2: 10, 3: {1: 157.07963267948966, 2: '#8B8783', 3: 12, 4: 13.089969389957473}, 4: 'dragon-11x-14y7z', 5: '#7F7263', 6: 23, 7: 15, 8: Decimal('19.131126469708992'), 9: Decimal('9'), 10: 7, 11: '{(Step 2/3) initialized; u2xi-initialized-by-init-uskeleton4xi to: None; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'init_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '-11x-10y36z', 16: '-11x-8y37z', 17: '-13x-13y7z', 18: '-10x-11y36z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[7][10]["-11x-8y37z"] = {'8xi': {}, '2xi': {1: 7, 2: 10, 3: {1: 157.07963267948966, 2: '#8B8783', 3: 12, 4: 13.089969389957473}, 4: 'dragon-11x-8y37z', 5: '#7F7263', 6: 24, 7: 15, 8: Decimal('39.42080668885405'), 9: Decimal('29'), 10: 7, 11: '{(Step 3/3) returning; init-uskeleton4xi-returning: ; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'init_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '-11x-14y7z', 16: '-11x-9y37z', 17: '-13x-13y7z', 18: '-10x-11y36z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[7][10]["-11x-9y37z"] = {'8xi': {}, '2xi': {1: 7, 2: 10, 3: {1: 157.07963267948966, 2: '#8B8783', 3: 12, 4: 13.089969389957473}, 4: 'dragon-11x-9y37z', 5: '#7F7263', 6: 33, 7: 15, 8: Decimal('39.63584236521283'), 9: Decimal('29'), 10: 7, 11: '{(Step 1/3a) started; init-uskeleton4xi-started: function init_uskeleton4xi at 0x023328A0; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'init_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '-11x-8y37z', 16: '-12x-13y7z', 17: '-13x-13y7z', 18: '-10x-11y36z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[7][10]["-12x-13y7z"] = {'8xi': {}, '2xi': {1: 7, 2: 10, 3: {1: 157.07963267948966, 2: '#8B8783', 3: 12, 4: 13.089969389957473}, 4: 'dragon-12x-13y7z', 5: '#7F7263', 6: 34, 7: 15, 8: Decimal('19.026297590440446'), 9: Decimal('9'), 10: 7, 11: '{(Step 1/3b) passed; u-init-param1-passed-to-init-uskeleton4xi: unified method initialization first time; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'init_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '-11x-9y37z', 16: '-12x-60y33z', 17: '-13x-13y7z', 18: '-10x-11y36z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[7][10]["-12x-60y33z"] = {'8xi': {}, '2xi': {1: 7, 2: 10, 3: {1: 157.07963267948966, 2: '#8B8783', 3: 12, 4: 13.089969389957473}, 4: 'dragon-12x-60y33z', 5: '#7F7263', 6: 35, 7: 15, 8: Decimal('69.5197813575388'), 9: Decimal('59'), 10: 7, 11: '{(Step 2/3) initialized; u2xi-initialized-by-init-uskeleton4xi to: unified method initialization first time; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'init_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '-12x-13y7z', 16: '-13x-13y7z', 17: '-13x-13y7z', 18: '-10x-11y36z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[7][10]["-13x-13y7z"] = {'8xi': {}, '2xi': {1: 7, 2: 10, 3: {1: 157.07963267948966, 2: '#8B8783', 3: 12, 4: 13.089969389957473}, 4: 'dragon-13x-13y7z', 5: '#7F7263', 6: 36, 7: 15, 8: Decimal('19.672315572906'), 9: Decimal('9'), 10: 7, 11: '{(Step 3/3) returning; init-uskeleton4xi-returning: ; time: 01:23:20 04/07/14 Pacific Daylight Time}', 12: 'init_uskeleton4xi', 13: 1, 14: '-0x-0y-0z', 15: '-12x-60y33z', 16: '+0x+0y+0z', 17: '-13x-13y7z', 18: '-10x-11y36z', 19: 'uskeleton4xi.py'}, '4xi': {}}
SphereKB4Xi[7][3200]["-1089x-2838y998z"] = {'8xi': {}, '2xi': {1: 7, 2: 3200, 3: {1: 16084954.386379741, 2: '#8B8783', 3: 13, 4: 1237304.1835676725}, 4: 'dragon-1089x-2838y998z', 5: '#E14747', 6: 3232, 7: 32, 8: 3200, 9: 0, 10: 7, 11: '{started; sense-of-Cluster4Xi-started: 05:50:50 04/07/14 Pacific Daylight Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1089x-2838y998z', 18: '-1089x-2838y998z', 19: 'xml_trace_sense4xi.py'}, '4xi': {}}
SphereKB4Xi[7][3300]["-1009x-2675y1646z"] = {'8xi': {}, '2xi': {1: 7, 2: 3300, 3: {1: 17105971.998796422, 2: '#8B8783', 3: 13, 4: 1315843.999907417}, 4: 'dragon-1009x-2675y1646z', 5: '#EE4545', 6: 3308, 7: 1, 8: 3300, 9: 0, 10: 7, 11: '{started; sense-of-SuperCluster4Xi-started: 05:50:50 04/07/14 Pacific Daylight Time}', 12: 'super', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1009x-2675y1646z', 18: '-1009x-2675y1646z', 19: 'xml_trace_sense4xi.py'}, '4xi': {}}
SphereKB4Xi[8][2]["-1x-1y-1z"] = {'8xi': {}, '2xi': {1: 8, 2: 2, 3: {1: 6.283185307179586, 2: '#7D7A77', 3: 1, 4: 6.283185307179586}, 4: 'dragon-1x-1y-1z', 5: '#EE8712', 6: 8, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-8Skeleton4Xi-started: 05:50:50 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '-1x-1y1z', 16: '1x1y1z', 17: '-1010x-495y-3102z', 18: '-100x-2126y-2388z', 19: 'zap0000eight4xi.py'}, '4xi': {}}
SphereKB4Xi[8][3200]["-100x-2126y-2388z"] = {'8xi': {}, '2xi': {1: 8, 2: 3200, 3: {1: 16084954.386379741, 2: '#EE8712', 3: 1, 4: 16084954.386379741}, 4: 'dragon-100x-2126y-2388z', 5: '#E9BBBB', 6: 3233, 7: 33, 8: 3200, 9: 0, 10: 8, 11: '{started; sense-of-Cluster4Xi-started: 05:50:50 04/07/14 Pacific Daylight Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-100x-2126y-2388z', 18: '-100x-2126y-2388z', 19: 'xml_trace_sense4xi.py'}, '4xi': {}}
SphereKB4Xi[8][3300]["-1010x-495y-3102z"] = {'8xi': {}, '2xi': {1: 8, 2: 3300, 3: {1: 17105971.998796422, 2: '#EE8712', 3: 1, 4: 17105971.998796422}, 4: 'dragon-1010x-495y-3102z', 5: '#DE9ABC', 6: 3309, 7: 1, 8: 3300, 9: 0, 10: 8, 11: '{started; sense-of-SuperCluster4Xi-started: 05:50:50 04/07/14 Pacific Daylight Time}', 12: 'super', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1010x-495y-3102z', 18: '-1010x-495y-3102z', 19: 'xml_trace_sense4xi.py'}, '4xi': {}}
# -------------------------------------------------------------------------------------------------
#<note4xi note = "created automatically by zap2actor4xi.py 05:51:13 04/07/14 Pacific Daylight Time"/>
# -------------------------------------------------------------------------------------------------
ack2debug = False
if ack2debug is True:
    print("(Step 1A)/33) - TRYING TO PRINT SphereKB4Xi ")
    try:
        keys2direction = SphereKB4Xi.keys()
        for key2direction in sorted(keys2direction):
            if ack2debug is True:
                print("=" *70)
                print("DIRECTION: ", key2direction)
                print("=" *70)
            kb2layer = SphereKB4Xi[key2direction]
            keys2layer = kb2layer.keys()
            for key2layer in sorted(keys2layer):
                kb2node = SphereKB4Xi[key2direction] [key2layer]
                keys2node = kb2node.keys()
                for key2node in sorted(keys2node):
                    print("SphereKB4Xi[", key2direction, "][", key2layer, "][", key2node, "]: ", kb2node [key2node])
    except:
        print("(Step 1A)/33) *** FAILED to print SphereKB4Xi ")
#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   zap*4xi.py
#   test_zap2actor4xi.txt
#   also compiled with ack2debug = True
#"
#>
# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of test_uskeleton4xi_zap.py
# ------------------------------------------------------------------------------------------------- 
#"
#/>        
